"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.propTypes = exports.allowedProps = void 0;
var _propTypes = _interopRequireDefault(require("prop-types"));
var _controllable = require("@instructure/ui-prop-types/lib/controllable.js");
var _Children = require("@instructure/ui-prop-types/lib/Children.js");
var _FormPropTypes = require("@instructure/ui-form-field/lib/FormPropTypes.js");
var _PositionPropTypes = require("@instructure/ui-position/lib/PositionPropTypes.js");
var _Calendar = require("@instructure/ui-calendar/lib/Calendar");
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015 - present Instructure, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

const propTypes = exports.propTypes = {
  renderLabel: _propTypes.default.oneOfType([_propTypes.default.node, _propTypes.default.func]).isRequired,
  value: (0, _controllable.controllable)(_propTypes.default.string),
  size: _propTypes.default.oneOf(['small', 'medium', 'large']),
  placeholder: _propTypes.default.string,
  onChange: _propTypes.default.func,
  onBlur: _propTypes.default.func,
  interaction: _propTypes.default.oneOf(['enabled', 'disabled', 'readonly']),
  isRequired: _propTypes.default.bool,
  isInline: _propTypes.default.bool,
  assistiveText: _propTypes.default.string,
  layout: _propTypes.default.oneOf(['stacked', 'inline']),
  width: _propTypes.default.string,
  display: _propTypes.default.oneOf(['inline-block', 'block']),
  inputRef: _propTypes.default.func,
  messages: _propTypes.default.arrayOf(_FormPropTypes.FormPropTypes.message),
  placement: _PositionPropTypes.PositionPropTypes.placement,
  isShowingCalendar: _propTypes.default.bool,
  onRequestValidateDate: _propTypes.default.func,
  onRequestShowCalendar: _propTypes.default.func,
  onRequestHideCalendar: _propTypes.default.func,
  onRequestSelectNextDay: _propTypes.default.func,
  onRequestSelectPrevDay: _propTypes.default.func,
  onRequestRenderNextMonth: _propTypes.default.func,
  onRequestRenderPrevMonth: _propTypes.default.func,
  renderNavigationLabel: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.node]),
  renderWeekdayLabels: _propTypes.default.arrayOf(_propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.node])),
  renderNextMonthButton: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.node]),
  renderPrevMonthButton: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.node]),
  children: _Children.Children.oneOf([_Calendar.Calendar.Day]),
  disabledDates: _propTypes.default.oneOfType([_propTypes.default.array, _propTypes.default.func]),
  currentDate: _propTypes.default.string,
  disabledDateErrorMessage: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.string]),
  invalidDateErrorMessage: _propTypes.default.oneOfType([_propTypes.default.func, _propTypes.default.string]),
  locale: _propTypes.default.string,
  timezone: _propTypes.default.string,
  withYearPicker: _propTypes.default.object
};
const allowedProps = exports.allowedProps = ['renderLabel', 'value', 'size', 'placeholder', 'onChange', 'onBlur', 'interaction', 'isRequired', 'isInline', 'assistiveText', 'layout', 'width', 'display', 'inputRef', 'messages', 'placement', 'isShowingCalendar', 'onRequestValidateDate', 'onRequestShowCalendar', 'onRequestHideCalendar', 'onRequestSelectNextDay', 'onRequestSelectPrevDay', 'onRequestRenderNextMonth', 'onRequestRenderPrevMonth', 'renderNavigationLabel', 'renderWeekdayLabels', 'renderNextMonthButton', 'renderPrevMonthButton', 'children', 'disabledDates', 'currentDate', 'disabledDateErrorMessage', 'invalidDateErrorMessage', 'locale', 'timezone'];